summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEduard Braun <eduard.braun2@gmx.de>2017-09-20 22:53:05 +0000
committerEduard Braun <eduard.braun2@gmx.de>2017-09-28 19:42:54 +0000
commit9cbd9e966164609309cc1d0a7edb174ed058f3ca (patch)
tree0aff42338ef8a28b7b172a626a1b2db8656b6a08
parentTests: Fix problematic rendering test (diff)
downloadinkscape-9cbd9e966164609309cc1d0a7edb174ed058f3ca.tar.gz
inkscape-9cbd9e966164609309cc1d0a7edb174ed058f3ca.zip
CI/AppVeyor: Fix tests involving font rendering
- use a custom fonts.conf to load fonts from ./build/fonts folder - manually download fonts required by tests and extract into said folder (subfolders are scanned, too, so that's fine) Now that finally all tests pass: Fail the build if a test fails!
-rw-r--r--buildtools/appveyor.sh16
1 files changed, 10 insertions, 6 deletions
diff --git a/buildtools/appveyor.sh b/buildtools/appveyor.sh
index c9d2d1c74..5dac1227f 100644
--- a/buildtools/appveyor.sh
+++ b/buildtools/appveyor.sh
@@ -14,14 +14,18 @@ cd "$(cygpath ${APPVEYOR_BUILD_FOLDER})"
mkdir build
cd build
-# write an empty fonts.conf to speed up fc-cache
-export FONTCONFIG_FILE=/dummy-fonts.conf
-cat >"$FONTCONFIG_FILE" <<EOF
+# write custom fonts.conf to speed up fc-cache and use/download fonts required for tests
+export FONTCONFIG_FILE=$(cygpath -a fonts.conf)
+cat > "$FONTCONFIG_FILE" <<EOF
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
-<fontconfig></fontconfig>
+<fontconfig><dir>$(cygpath -aw fonts)</dir></fontconfig>
EOF
+mkdir fonts
+wget -nv https://github.com/dejavu-fonts/dejavu-fonts/releases/download/version_2_37/dejavu-fonts-ttf-2.37.tar.bz2 \
+ && tar -xf dejavu-fonts-ttf-2.37.tar.bz2 --directory=fonts
+
# install dependencies
message "--- Installing dependencies"
source ../buildtools/msys2installdeps.sh
@@ -67,8 +71,8 @@ if [ -n "$err" ]; then warning "installed executable produces output on stderr:"
INKSCAPE_DATADIR=../share bin/inkscape.exe -V >/dev/null || error "uninstalled executable won't run"
err=$(INKSCAPE_DATADIR=../share bin/inkscape.exe -V 2>&1 >/dev/null)
if [ -n "$err" ]; then warning "uninstalled executable produces output on stderr:"; echo "$err"; fi
-# run tests (don't fail yet as some need to be fixed first)
-ninja check || warning "tests failed"
+# run tests
+ninja check || error "tests failed"
message "##### BUILD SUCCESSFULL #####\n\n"